package limone;

/**
 * Defines an interface for an object that wishes to know when an acquaintance
 * has been added or removed from the acquaintance list.
 *
 * @author Chien-Liang Fok
 * @version 03/17/2003
 */
public interface AcquaintanceChangedListener
{
	/**
	 * Called when the acquaintance list changed.
	 */
	public void acuaintanceChanged(AcquaintanceChangedEvent ace);
}

