/**
 * AgentThread.java
 *
 * @author Chien-Liang Fok
 */

package limone;

/**
 * This thread executes the agentCode() method.
 */
class AgentThread implements Runnable {
	
	Agent a;
	
	public AgentThread(Agent a) {
		this.a = a;
		new Thread(this).start();
	}
	
	public void run() {
		a.agentInit();
		a.agentRun();
		a.agentDone();
	}
}

