package limone;

import limone.io.*;

/**
 * The operation manager determines whether to accept or decline a request
 * to perform a remote operation.
 *
 * @author Chien-Liang Fok
 * @version 03/17/2003
 */
public interface OperationManager
{
	/**
	 * This returns true when the request is accepted, false otherwise.
	 */
	public boolean acceptRequest(Request r);
}

