package limone;

/**
 * Thrown by the ReactionException when it detects an exceptional condition.
 *
 * @author Chien-Liang Fok
 * @version 03/17/2003
 */
public class ReactionException extends LimoneException {
	public ReactionException() {
		super();
	}
	
	public ReactionException(String s) {
		super(s);
	}
	
	public ReactionException(Exception e) {
		super(e);
	}
	
	public ReactionException(Exception e, String s) {
		super(e,s);
	}
}

