

package limone;

/**
 * A RejectionException is thrown when a remote operation is performed,
 * but the request is rejected by the agent on which the operation is being
 * performed on.
 *
 * @author Chien-Liang Fok
 * @version 03/17/2003
 */
public class RejectionException extends LimoneException
{
	/**
	 * Creates an exception with a string message.
	 */
	public RejectionException(String s) {
		super(s);
	}
}

